RELEASE: v4.2 Safe Firmware Updater

Discussion in 'Wii - Hacking' started by zektor, Oct 7, 2009.

  1. zektor
    OP

    zektor GBAtemp Maniac

    Member
    1,325
    22
    Nov 29, 2005
    United States
    This is based off of my offline guide to upgrade any console (that has NOT been region hacked) to v4.2 safely. This is a modification of the Shop Channel and IOS61 Installer by tona. It has been rigorously tested and should not brick anyone, but as usual, use it at your own risk. Source included of course.

    It will detect your region, download and install all of the NECESSARY IOSes, your specific system menu, and the shopping channel update from v4.2 It will NOT touch your cIOSes, stub anything, or touch your boot2. It also will NOT trucha sign any of the IOSes it downloads and installs. If you want to pirate, you'll have to go ahead and use DOP-IOS or similar to trucha patch your IOS70 after the upgrade is complete [​IMG]

    It is almost completely automated. Answer a question in the beginning, sit back and relax, and wait for the update to be completed. When finished, you'll be on v4.2 with everything functional (no upside down HBC, no "vulnerable IOS not found" errors). This should hopefully eliminate all of the goofy issues people have been having with the upgrade.

    Thanks to Dr.Clipper for MUCH help [​IMG] Enjoy [​IMG]

    http://sharebee.com/59c72d77


    IF YOU HAVE A REGION HACKED WII (IE: YOUR WII WAS KOREAN AND YOU HACKED IT TO REPORT AS A USA CONSOLE), DO NOT PERFORM *ANY* V4.2 UPDATE. NOT THIS OR THE ORIGINAL NINTENDO UPDATE!
     


  2. FenrirWolf

    FenrirWolf GBAtemp Psycho!

    Member
    4,346
    326
    Nov 19, 2008
    United States
    Sandy, UT
    Hmm, sounds good. Does Waninkoko's upgrader trucha-sign the IOS's it installs or something?
     
  3. xzxero

    xzxero ♥bong milk does good for the brain♥

    Member
    3,831
    28
    Jul 18, 2008
    United States
    SB
    yea i think to all unfortunately.
     
  4. Yyhhggtt

    Yyhhggtt GBAtemp Fan

    Member
    371
    2
    May 24, 2009
    Canada
    In my Wii at Saskatchewan.
    cool,
     
  5. giantpune

    giantpune GBAtemp Addict

    Member
    2,860
    122
    Apr 10, 2009
    United States
    will i be able to finish this installer with only a GC controller? i have a sick wii that will not sync wiimtes and i cant get through any of the other updaters for that reason.
     
  6. zektor
    OP

    zektor GBAtemp Maniac

    Member
    1,325
    22
    Nov 29, 2005
    United States

    Did you try to clear your wiimote syncs?
     
  7. Volky

    Volky Member

    Newcomer
    13
    0
    Oct 4, 2009
    United States
    You are able to use this to update from any version, or does it have to be a certain one?
     
  8. zektor
    OP

    zektor GBAtemp Maniac

    Member
    1,325
    22
    Nov 29, 2005
    United States

    Any version, any region [​IMG] You just need an internet connection. Think of it as an official Nintendo update...minus the CRAP.
     
  9. nintendolinky

    nintendolinky GBAtemp Advanced Fan

    Member
    525
    18
    Jul 31, 2007
    Could you give more info on how to use DOP-IOS or similar to trucha patch the IOS70 after the upgrade is complete, as many people will be reluctant to upgrade without this knowledge, also does this update affect preloader, CiosCorp and playing VC games and Wiiware games from the SD Card.
    Thanks anyway great update.
     
  10. zektor
    OP

    zektor GBAtemp Maniac

    Member
    1,325
    22
    Nov 29, 2005
    United States

    Use DOP-IOS v8. Navigate to IOS70 and click A to download, A again to sighash patch (trucha). Done!
     
  11. BBking83

    BBking83 GBAtemp Advanced Fan

    Member
    676
    4
    Oct 23, 2008
    Australia
    This is a good idea.

    Firmware updates should be just like the N updates that leaves alone the cIOSes.

    If you want other things after the update, change it yourself. [​IMG] You can do most things with a cIOS installed.
     
  12. zektor
    OP

    zektor GBAtemp Maniac

    Member
    1,325
    22
    Nov 29, 2005
    United States
    Yep. You should really already have your cIOSes installed (249, 222, 223) before performing this update btw. So that way you'll be all set with your loaders and if you need to trucha IOS70 when done, that'll be as easy as using 249 to do it.

    Also, make sure you have HBC 1.05 installed before the update as well. Remember, v4.2 system menu deletes the old HBC. Not a big deal if you forget however, as you can always use bannerbomb when done and get the HBC v1.05 installed, but why worry about it later?
     
  13. xzxero

    xzxero ♥bong milk does good for the brain♥

    Member
    3,831
    28
    Jul 18, 2008
    United States
    SB
    +1
    added link to my guide btw.
    and congrats on the 1k posts.
     
  14. Dr. Clipper

    Dr. Clipper GBAtemp Addict

    Member
    2,487
    0
    Aug 28, 2007
    A warning: the updater does not check for free space. Ensure you have a good chunk of space (250 blocks) on your Wii before attempting this.
     
  15. zektor
    OP

    zektor GBAtemp Maniac

    Member
    1,325
    22
    Nov 29, 2005
    United States

    Thanks for the tip!

    Folks, without this fine gentleman, NONE of this would have been possible [​IMG]
     
  16. toss01

    toss01 Advanced Member

    Newcomer
    54
    2
    Sep 13, 2009
    nice work... quick question for the slow... why would I need to trucha IOS 70? (assuming I have all the CIOS I want already installed)

    what ability would that give?
     
  17. BBking83

    BBking83 GBAtemp Advanced Fan

    Member
    676
    4
    Oct 23, 2008
    Australia
    You won't get "Failed to launch" from the SD menu and if you have a mod chip (especially early ones) it should load them all.
     
  18. zektor
    OP

    zektor GBAtemp Maniac

    Member
    1,325
    22
    Nov 29, 2005
    United States

    It allows to you move VC/Wiiware to the sd and launch from there. If that doesn't concern you, you really don't have to worry about it.
     
  19. toss01

    toss01 Advanced Member

    Newcomer
    54
    2
    Sep 13, 2009
    Thanks, no need to then
     
  20. ecw

    ecw GBAtemp Regular

    Member
    175
    0
    Jan 7, 2009
    United States
    Just like we had to install a "Patched IOS60" 4.0?